<?php
/**
 * OrderReadonlyPropertiesTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\OmsClient;

use PHPUnit\Framework\TestCase;

/**
 * OrderReadonlyPropertiesTest Class Doc Comment
 *
 * @category    Class
 * @description OrderReadonlyProperties
 * @package     Ensi\OmsClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class OrderReadonlyPropertiesTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "OrderReadonlyProperties"
     */
    public function testOrderReadonlyProperties()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "number"
     */
    public function testPropertyNumber()
    {
    }

    /**
     * Test attribute "customer_id"
     */
    public function testPropertyCustomerId()
    {
    }

    /**
     * Test attribute "customer_email"
     */
    public function testPropertyCustomerEmail()
    {
    }

    /**
     * Test attribute "cost"
     */
    public function testPropertyCost()
    {
    }

    /**
     * Test attribute "price"
     */
    public function testPropertyPrice()
    {
    }

    /**
     * Test attribute "spent_bonus"
     */
    public function testPropertySpentBonus()
    {
    }

    /**
     * Test attribute "added_bonus"
     */
    public function testPropertyAddedBonus()
    {
    }

    /**
     * Test attribute "promo_code"
     */
    public function testPropertyPromoCode()
    {
    }

    /**
     * Test attribute "status_at"
     */
    public function testPropertyStatusAt()
    {
    }

    /**
     * Test attribute "source"
     */
    public function testPropertySource()
    {
    }

    /**
     * Test attribute "payment_status"
     */
    public function testPropertyPaymentStatus()
    {
    }

    /**
     * Test attribute "payment_status_at"
     */
    public function testPropertyPaymentStatusAt()
    {
    }

    /**
     * Test attribute "payed_at"
     */
    public function testPropertyPayedAt()
    {
    }

    /**
     * Test attribute "payment_expires_at"
     */
    public function testPropertyPaymentExpiresAt()
    {
    }

    /**
     * Test attribute "payment_method"
     */
    public function testPropertyPaymentMethod()
    {
    }

    /**
     * Test attribute "payment_system"
     */
    public function testPropertyPaymentSystem()
    {
    }

    /**
     * Test attribute "payment_link"
     */
    public function testPropertyPaymentLink()
    {
    }

    /**
     * Test attribute "payment_external_id"
     */
    public function testPropertyPaymentExternalId()
    {
    }

    /**
     * Test attribute "is_problem_at"
     */
    public function testPropertyIsProblemAt()
    {
    }

    /**
     * Test attribute "is_expired"
     */
    public function testPropertyIsExpired()
    {
    }

    /**
     * Test attribute "is_expired_at"
     */
    public function testPropertyIsExpiredAt()
    {
    }

    /**
     * Test attribute "is_return"
     */
    public function testPropertyIsReturn()
    {
    }

    /**
     * Test attribute "is_return_at"
     */
    public function testPropertyIsReturnAt()
    {
    }

    /**
     * Test attribute "is_partial_return"
     */
    public function testPropertyIsPartialReturn()
    {
    }

    /**
     * Test attribute "is_partial_return_at"
     */
    public function testPropertyIsPartialReturnAt()
    {
    }

    /**
     * Test attribute "created_at"
     */
    public function testPropertyCreatedAt()
    {
    }

    /**
     * Test attribute "updated_at"
     */
    public function testPropertyUpdatedAt()
    {
    }
}
